FAVideo = {
	flash: false,
	id: '',
	init: function(path, id, callback) {
		FAVideo.id = id;
		var randomString = Math.round(new Date().getTime()/1000).toString() + Math.random().toString();
		$('<object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=11,0,0,0" width="698" height="369" id="'+id+'"><param name="movie" value="'+path+'/favideo.swf?'+randomString+'" /><embed src="'+path+'/favideo.swf?'+randomString+'" width="698" height="369" type="application/x-shockwave-flash" name="'+id+'" pluginspage="http://www.macromedia.com/go/getflashplayer" /></object>').replaceAll('#'+id);
		FAVideo.onLoad = callback;
	},
	load: function(url) {
		FAVideo.flash.ecLoad(url);
	},
	pause: function() {
		FAVideo.flash.ecPause();
	}
};

function FAVideoLoaded() {
	// --- 选择动画 ---
	if (window.document[FAVideo.id])
		FAVideo.flash = window.document[FAVideo.id];
	if (navigator.appName.indexOf('Microsoft') == -1) {
		if (document.embeds && document.embeds[FAVideo.id]) {
			FAVideo.flash = document.embeds[FAVideo.id];
		}
	} else
		FAVideo.flash = document.getElementById(FAVideo.id);
	//*/
	// --- 已加载 ---
	FAVideo.onLoad();
}